READLINK(1)

NAME
readlink - display target of symbolic link on standard output

SYNOPSIS
readlink [-fn] file

DESCRIPTION
The readlink utility when invoked with the pathname of a symbolic link as its argument dereferences the symbolic link and prints the name of target on standard output. If readlink is invoked with an argument other than the pathname of a symbolic link, it exits with a non-zero exit code without printing anything.

The following options are available:

-f  Using realpath(3), canonicalize by following every symlink in every component of the given path recursively. Note that the resultant pathname might not exist,

-n  Do not print a trailing newline character.

The readlink utility exits 0 on success or >0 if an error occurred.

NOTE
Debian packages using readlink in maintainer scripts must depend on debianutils >= 1.13.1.

SEE ALSO
readlink(2) realpath(3)

HISTORY
The readlink utility first appeared in OpenBSD.